#%define rel -beta4
%define rel %nil
Name: audacious
Version: 2.2
Release: alt0.M50P.1

Summary: Media player which uses a skinned interface

License: GPL
Group: Sound
Url: http://audacious-media-player.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://audacious-media-player.org/release/%name-%version.tar.bz2
#Source: http://static.audacious-media-player.org/release/%name-%version%rel.tar.bz2
Source: http://distfiles.atheme.org/%name-%version%rel.tar.bz2
Patch: audacious-0.1.2-default-alsa.patch
Patch1: %name-as-needed.patch
#Patch2: %name-%version-lib.patch

# Typical environment for GNOME program
Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

%{?_with_gconf:BuildRequires: GConf2-devel}
%{?_with_vfs:BuildRequires: gnome-vfs2-devel}

# due
# verify-elf: ERROR: ./usr/lib/libaudid3tag.so.1.0.0: undefined symbol: _audvt
%set_verify_elf_method unresolved=relaxed

# manually removed: audacious
# Automatically added by buildreq on Sat Dec 05 2009
BuildRequires: gcc-c++ libSM-devel libdbus-glib-devel libgtk+2-devel libmcs-devel libsamplerate-devel libxml2-devel

BuildRequires: libgtk+2-devel >= 2.6

Requires: %name-plugins

%description
Audacious is a media player forked from BMP (Beep Media Player) which uses a
skinned interface based on Winamp 2.x skins, and in turn based on XMMS.

%package -n lib%name
Summary: Library files for the audacious media player
Group: Development/Other

%description -n lib%name
Audacious is a media player forked from BMP (Beep Media Player) which uses a
skinned interface based on Winamp 2.x skins, and in turn based on XMMS.

Library file required to run audacious.


%package -n lib%name-devel
Summary: Development files for the audacious media player
Group: Development/Other
Requires: lib%name = %version
Provides: %name-devel
Obsoletes: %name-devel

%description -n lib%name-devel
Audacious is a media player forked from BMP (Beep Media Player) which uses a
skinned interface based on Winamp 2.x skins, and in turn based on XMMS.

Development files required to develop plugins for audacious.


%prep
%setup -q -n %name-%version%rel
#%patch -p1 -b .default-alsa
#%patch2
#bzip ChangeLog

%build
#__autoreconf -I m4
#__autoconf -I m4
%configure \
    --disable-rpath \
    %{?_with_gconf:--enable-gconf} \
    %{?_with_vfs:--enable-gnome-vfs} \
    --disable-dependency-tracking \
    --with-xmms-eq \
%ifnarch x86_64
    --disable-sse2 \
%endif
    --enable-chardet --enable-samplerate

# compile with midi support without see in /proc
%make_build

%install
%makeinstall_std
%find_lang %name
ln -sf audacious2 %buildroot%_bindir/%name
ln -sf audtool2 %buildroot%_bindir/audtool

%files -f %name.lang
%doc AUTHORS NEWS README
%_bindir/%name
%_bindir/audacious2
%_bindir/audtool
%_bindir/audtool2
%_desktopdir/*.desktop
%_datadir/%name/
%_pixmapsdir/audacious2.png
%_man1dir/*

%files -n lib%name
%_libdir/libaudclient.so.*
%_libdir/libaudid3tag.so.*
%_libdir/libaudtag.so.*
%_libdir/libSAD.so.*
%_libdir/libaudcore.so.*
%_libdir/libaudgui.so.*

%files -n lib%name-devel
%_includedir/%name/
%_includedir/libSAD/
%_includedir/libaudcore/
%_includedir/libaudgui/
%_includedir/libaudtag/
%_pkgconfigdir/*.pc
%_libdir/*.so

%changelog
* Tue Mar 30 2010 Alexandra Panyukova <mex3@altlinux.ru> 2.2-alt0.M50P.1
- build for p5

* Sat Dec 05 2009 Vitaly Lipatov <lav@altlinux.ru> 2.2-alt1
- new version (2.2)
- update buildreqs

* Fri Jul 10 2009 Vitaly Lipatov <lav@altlinux.ru> 2.1-alt1
- new version 2.1 (with rpmrb script)

* Sun May 17 2009 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1
- new version 2.0.1 (with rpmrb script)

* Fri Mar 06 2009 Vitaly Lipatov <lav@altlinux.ru> 1.5.1-alt4
- enable sse2 on x86_64

* Sun Mar 01 2009 Vitaly Lipatov <lav@altlinux.ru> 1.5.1-alt3
- build with --disable-sse2

* Sun Jul 06 2008 Vitaly Lipatov <lav@altlinux.ru> 1.5.1-alt2
- rebuild with new libmowgli

* Sat May 31 2008 Vitaly Lipatov <lav@altlinux.ru> 1.5.1-alt1
- new version 1.5.1 (with rpmrb script)

* Wed Apr 23 2008 Vitaly Lipatov <lav@altlinux.ru> 1.5.0-alt1
- new version 1.5.0 (with rpmrb script)

* Sun Feb 24 2008 Vitaly Lipatov <lav@altlinux.ru> 1.4.6-alt1
- new version 1.4.6 (with rpmrb script)

* Mon Dec 31 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.5-alt1
- new version 1.4.5 (with rpmrb script)

* Wed Dec 05 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.4-alt1
- new version 1.4.4 (with rpmrb script)

* Wed Nov 28 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.2-alt1
- new version 1.4.2 (with rpmrb script)

* Wed Nov 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.0-alt1
- release 1.4.0

* Wed Oct 31 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.0-alt0.1beta4
- new version (1.4.0 beta4)
- drop patches (mainstreamed)

* Sat Oct 27 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.0-alt0.1beta2
- new version (1.4.0 beta2)
- enable update/clean menus
- update buildreqs
- fix libaudid3

* Wed Apr 18 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt2
- add libaudid3tag.so  provides (fix bug #11561)

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt1
- new version 1.3.2 (with rpmrb script)

* Tue Apr 03 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt1
- new version 1.3.1 (with rpmrb script)

* Wed Mar 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.0-alt1
- new version 1.3.0
- update buildreq

* Sat Jan 06 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt1
- build without GConf2, ImageMagick build requires
- use installed icon, do not convert it
- cleanup spec, use --disable-dependency-tracking for speedup
- build with --enable-chardet (librcd using)

* Mon Dec 11 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt0.1
- new version 1.2.2 (with rpmrb script)

* Fri Nov 17 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- split to libaudacious, rename devel to libaudacious-devel
- add require for audacious-plugins

* Thu Nov 16 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt0.1
- new version 1.2.1 (need install audacious-plugins)

* Sun Oct 15 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt0.1
- new version (1.2.0)

* Sun Oct 15 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt0.1rc3
- new version (1.2.0)

* Wed Sep 20 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1.2-alt0.1
- new version 1.1.2
- add amidi-plug backends packing

* Thu Aug 03 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1.1-alt0.1
- new version 1.1.1 (with rpmrb script)

* Tue May 02 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt0.1
- new version (1.0.0)

* Sun Mar 26 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2.3-alt0.1
- new version 0.2.3
- fixes for build with ld --as-needed

* Mon Feb 06 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2-alt0.1
- new version
- cleanup spec, remove COPYING

* Wed Jan 04 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.2-alt0.1
- initial build for ALT Linux Sisyphus

* Tue Dec 20 2005 Matthias Saou <http://freshrpms.net/> 0.1.2-1
- Initial RPM release.
- Can't seem to get libsamplerate nor sndfile enabled.
- Disable GConf and VFS by default, since nothing seems to work otherwise.

